Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0
%global srcname log-symbols
%global commit ffcc995a1d4efc91ceed3e536fecccc8dc517c76

Name:           nodejs-%{srcname}
Version:        1.0.2
Release:        alt1_8
Summary:        Colored symbols for various log levels
License:        MIT
URL:            https://github.com/sindresorhus/log-symbols
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif
Source44: import.info


%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{commit}
rm -rf node_modules/
%nodejs_fixdep chalk ^1.1.1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif


%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_8
- new version

